欢迎光临
一个学习的网站

Since Maven 3.8.1 http repositories are blocked

最近下载了最新版idea后,打开一个项目,在下载引用的包时出现了这个错误:“Since Maven 3.8.1 http repositories are blocked

从Maven 3.8.1开始,不再支持http的包了。这也很理解,https会更加安全。

但我们现有的项目还是有很多包的下载地址协议头是http,所以还是老老实实退回的老版本吧

 

从Maven官网下载

在官网上版本号小于3.8.1的最新版本是3.6.3

https://archive.apache.org/dist/maven/maven-3/3.6.3/binaries/

下载.zip包后,解压到自定义的一个目录,然后在IDEA中的Settings > Maven > Maven home path 中重新配置maven路径。

赞(0) 打赏
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《Since Maven 3.8.1 http repositories are blocked》
文章链接:https://zixijiaoshi.com/3013.html
本站资源仅供个人学习交流,请于下载后24小时内删除,不允许用于商业用途,否则法律问题自行承担。

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

非常感谢你的打赏,我们将继续给力更多优质内容,让我们一起创建更加美好的网络世界!

支付宝扫一扫打赏

微信扫一扫打赏